/************************************************************************/
/*                                                                      */
/*                      Motorpotiplatine Steuerung                      */
/*                                                                      */
/*              Author : Frank Link                                     */
/*                       franklink61@aol.com                            */
/*              Version: 1.0                                            */
/************************************************************************/

#include <avr/io.h>
#include "motor.h"

/*
	initalisieren der Variablen
*/
void MotorInit( void )
{
	MotorLeftIsOn = MOTOR_OFF;
	MotorRightIsOn = MOTOR_OFF;
}


/*
	Schaltet den Motor aus
*/
void MotorOff( void )
{
	// Motor aus
	PORTB = 0b00000000;
	PORTC = 0b00000000;
}

/*
	Schaltet den Motor links drehend ein
*/
void MotorLeftOn( void )
{
	DDRB  = 0b00111111;
	DDRC  = 0b00111111;
	PORTC = 0b00000000; // ausschalten
	PORTB = 0b00111111;  // einschalten
}

/*
	Schaltet den Motor rechts drehend ein
*/
void MotorRightOn( void )
{
	DDRB  = 0b00111111;
	DDRC  = 0b00111111;
	PORTB = 0b00000000; // ausschalten
	PORTC = 0b00111111;  // einschalten
}
